#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hOpenPGP
version: 2.7
id: hOpenPGP-2.7-n7uwooNAAAAWrD7dP1TIw
key: hOpenPGP-2.7-n7uwooNAAAAWrD7dP1TIw
license: MIT
copyright: 2012-2018  Clint Adams
maintainer: Clint Adams <clint@debian.org>
author: Clint Adams
homepage: https://salsa.debian.org/clint/hOpenPGP
synopsis: native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)
category: Codec, Data
abi: 623f8c074aca82d0c787513e3739a856
exposed: True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify
hidden-modules: Codec.Encryption.OpenPGP.Internal
                Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
                Codec.Encryption.OpenPGP.Internal.Cryptonite
                Codec.Encryption.OpenPGP.Internal.HOBlockCipher
                Codec.Encryption.OpenPGP.SerializeForSigs
                Codec.Encryption.OpenPGP.Types.Internal.Base
                Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
                Codec.Encryption.OpenPGP.Types.Internal.PacketClass
                Codec.Encryption.OpenPGP.Types.Internal.PKITypes
                Codec.Encryption.OpenPGP.Types.Internal.Pkt
                Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
                Codec.Encryption.OpenPGP.Types.Internal.TK
                Codec.Encryption.OpenPGP.BlockCipher
import-dirs: /usr/lib/ghc-8.4.3/site-local/hOpenPGP-2.7
library-dirs: /usr/lib/ghc-8.4.3/site-local/hOpenPGP-2.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/hOpenPGP-2.7
hs-libraries: HShOpenPGP-2.7-n7uwooNAAAAWrD7dP1TIw
depends:
    aeson-1.3.1.1-KpJD2FMmirGLAyzqRm8c42
    asn1-encoding-0.9.5-KwcuN3FlGPnIWHbWvE2cBe
    attoparsec-0.13.2.2-7kmhoL5l3stA3NDsk1DtWk base-4.11.1.0
    base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bifunctors-5.5.2-5clonERli2k1OEqlYwzGLS bytestring-0.10.8.2
    bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x binary-0.8.5.1
    binary-conduit-1.3-Gmg3uCRI9Or3xR793JStud
    conduit-1.3.0.3-KjMtt65aRG4G5kAgXfmZKg
    conduit-extra-1.3.0-H8VQOimVxP1FpV8gobs8ii containers-0.5.11.0
    cryptonite-0.25-HG1e5oKlC351RQKtUSxglv
    crypto-cipher-types-0.0.9-7uztzSRso0jFHBxa6bfNuo
    errors-2.3.0-31nINRE3JAPCdhHs0ly8oA
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    incremental-parser-0.3.1.1-KLSXU125hAj972gmaDOwG5
    ixset-typed-0.4-9vdZbivuBu17zHDGJFuLko
    lens-4.16.1-2nvoTno40avAnmwqJRHBhM
    memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi
    monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs
    nettle-0.3.0-GZPxH3qmuNM6SmZyKWcceP
    newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw
    openpgp-asciiarmor-0.1.1-K4ZAAl8s9u1BHxctw7nHpw
    prettyprinter-1.2.1-6gdVi1ZkXBVBEoQFttqGFV
    resourcet-1.2.1-JPWVatKlkFx83b3tDky478
    split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG text-1.2.3.0 time-1.8.0.2
    time-locale-compat-0.1.1.4-7wM80GF7eQsF3fUTGOdEvb
    transformers-0.5.5.0 unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp
    unordered-containers-0.2.9.0-IEc9LFcTDjK6w3ap4NqwQu
    zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
abi-depends: aeson-1.3.1.1-KpJD2FMmirGLAyzqRm8c42=52ef5d9f92d20d3cc14c89fa85ae0e66
             asn1-encoding-0.9.5-KwcuN3FlGPnIWHbWvE2cBe=cd454ec41d1fec0bf101e581a7d7fb5c
             attoparsec-0.13.2.2-7kmhoL5l3stA3NDsk1DtWk=825d47e693044b92530553d85386444f
             base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh=bba358ad6d6aaa259e18cb7e07ede79c
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=65adc4f5f54a1c07291b4ebc49756c05
             bifunctors-5.5.2-5clonERli2k1OEqlYwzGLS=6c8cb5c5b30fb9eee18fa40b513c8fb3
             bytestring-0.10.8.2=9faa89cf4769cbd12751f8644ca9e618
             bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x=d89a9a6d431375f3cd9be882e3f31c98
             binary-0.8.5.1=0c28e4e382bf1405fd468e0d2a2b58e5
             binary-conduit-1.3-Gmg3uCRI9Or3xR793JStud=0e587965f9f29ee6a2401b12a81b598f
             conduit-1.3.0.3-KjMtt65aRG4G5kAgXfmZKg=574664a9b11432696eb67a53b910277e
             conduit-extra-1.3.0-H8VQOimVxP1FpV8gobs8ii=72f7ca8ed797fa54f9e599b75c985b3d
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
             cryptonite-0.25-HG1e5oKlC351RQKtUSxglv=5008fcc70bd425af43dd504f7310f344
             crypto-cipher-types-0.0.9-7uztzSRso0jFHBxa6bfNuo=b9f4f5dc53ef871c5cbd56fbd278ac24
             errors-2.3.0-31nINRE3JAPCdhHs0ly8oA=8dd147fe2e429dbe554f0646dcc91a2d
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=0f14342a1ffe8710d31657335cf81134
             incremental-parser-0.3.1.1-KLSXU125hAj972gmaDOwG5=fa2a10f7113991be56ad8c9ea0fa09cf
             ixset-typed-0.4-9vdZbivuBu17zHDGJFuLko=eb3215b720577cb53aa3fa61f18020e9
             lens-4.16.1-2nvoTno40avAnmwqJRHBhM=fbd931537b6e441cc269dd03b29ed9db
             memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi=ebd23a14864af42a4155f70cf1514d40
             monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs=169ceee9ae683d41008e7f14821d1ce1
             nettle-0.3.0-GZPxH3qmuNM6SmZyKWcceP=ae43a537712590bd6ed7243d9f85ae3d
             newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw=af8a815e863d459352fc30450dd20530
             openpgp-asciiarmor-0.1.1-K4ZAAl8s9u1BHxctw7nHpw=7ff996d164c05a2ed532ee5d92b95a14
             prettyprinter-1.2.1-6gdVi1ZkXBVBEoQFttqGFV=e69a96b2742aa1f9bd0128a26410f0de
             resourcet-1.2.1-JPWVatKlkFx83b3tDky478=5215600e9b4d451b9a76bc20d45a53b6
             split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG=cdf77c47c599317cfa01d2d98185c5d3
             text-1.2.3.0=9752fd647a108be49a4cb0c2a4456f2b
             time-1.8.0.2=042930fb6746cbaf3bc794f817f8a6b2
             time-locale-compat-0.1.1.4-7wM80GF7eQsF3fUTGOdEvb=87c3e02b63d10c8290e7f2f894b7a341
             transformers-0.5.5.0=4f41484af13f560f1d83ed79e1be4572
             unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp=1c7a6d4dd36bdfc42b4932ebc332e3b3
             unordered-containers-0.2.9.0-IEc9LFcTDjK6w3ap4NqwQu=5b052eced98346d45f3db03378f2841d
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=8fa648805d93281f19b98bbf203b4b1c
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=4ea8f0efa7a1ade0af4e9ce0cffcff8c
haddock-interfaces: /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html: /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

